﻿using ProjectPolyclinic.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities;

public class Doctor
{
    public int Id { get; private set; }
    [DisplayName("Имя доктора")]
    public string First_Name { get; private set; } = string.Empty;
    [DisplayName("Фамилия доктора")]
    public string Last_Name { get; private set; } = string.Empty;
    public string FullName => $"{First_Name} {Last_Name}";

    [DisplayName("Специализация")]
    public Specialization Specialization { get; private set; }
    public static Doctor CreateEntity(int id, string first_Name, string last_Name, Specialization specialization)
    {
        return new Doctor
        {
            Id = id,
            First_Name = first_Name ?? string.Empty,
            Last_Name = last_Name ?? string.Empty,
            Specialization = specialization
        };
    }
}
