﻿using ProjectPolyclinic.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities;

public class Visiting
{
    public int Id { get; private set; }

    [Browsable(false)]
    public int DoctorId { get; private set; }
    [Browsable(false)]
    public int PatientId { get; private set; }
    [DisplayName("Доктор")]
    public string DoctorName { get; private set; } = string.Empty;
    [DisplayName("Пациент")]
    public string PatientName { get; private set; } = string.Empty;
    [DisplayName("Название диагноза")]
    public DiagnosisName DiagnosisName { get; private set; }
    [DisplayName("Дата визита")]

    public DateTime VisitingTime { get; private set; }
    /*public string Medication => Medicines != null ?
    string.Join(", ", Medicines
        .Where(x => x != null) // Добавляем проверку на null
        .Select(x =>
            x.Count > 0 ? $"{x.MedicinesType} {x.Count}" : $"{x.MedicinesType} (нет в наличии)")) :
    string.Empty;*/
    [DisplayName("Медикаменты")]
    public string Medication => Medicines != null ?
string.Join(", ", Medicines.Select(x => $"{x.MedicinesType} {x.Count}")) :
string.Empty;

    [Browsable(false)]
    public IEnumerable<Medicines_Visiting> Medicines
    {
        get;
        private set;
    } = [];
    public static Visiting CreateOperation(int id, int doctorId, int patientId, DiagnosisName diagnosisName, DateTime visitingTime, IEnumerable<Medicines_Visiting> medicines)
    {
        return new Visiting
        {
            Id = id,
            DoctorId = doctorId,
            PatientId = patientId,
            DiagnosisName = diagnosisName,
            VisitingTime = DateTime.Now,
            Medicines = medicines
        };
    }
    /*public static Visiting CreateOperation(TempMedicines_Visiting tempMedicines_Visiting, IEnumerable<Medicines_Visiting> medicines)
    {
        return new Visiting
        {
            Id = tempMedicines_Visiting.Id,
            DoctorId = tempMedicines_Visiting.DoctorId,
            PatientId = tempMedicines_Visiting.PatientId,
            DiagnosisName = tempMedicines_Visiting.DiagnosisName,
            VisitingTime = tempMedicines_Visiting.VisitingTime,
            DoctorName = tempMedicines_Visiting.DoctorName, 
            PatientName = tempMedicines_Visiting.PatientName, 
            Medicines = medicines
        };
    }*/
    public void SetMedicines_Visiting(IEnumerable<Medicines_Visiting> medicines_Visitings)
    {
        if (medicines_Visitings != null && medicines_Visitings.Any())
        {
            Medicines = medicines_Visitings;
        }
    }

}
