using ProjectPolyclinic.Forms;
using Unity;

namespace ProjectPolyclinic
{
    public partial class FormPolyclinic : Form
    {
        private readonly IUnityContainer _container;
        public FormPolyclinic(IUnityContainer container)
        {
            InitializeComponent();
            _container = container ?? throw new ArgumentNullException(nameof(container));
        }

        private void PatientsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormPatients>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void DoctorsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormDoctors>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void MedicinesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormMedicines>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void VisitingsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormVisitings>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void ProfessionalDevelopmentsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormProfessional_developments>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void DirectoryReportToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormDirectoryReport>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void VisitingReportToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormVisitingReport>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ProfessionalDevelopmentDistributionToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormProfessionalDevelopmentDistributionReport>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
