﻿using ProjectPolyclinic.Entities;
using ProjectPolyclinic.Repositories;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectPolyclinic.Forms
{
    public partial class FormProfessionalDevelopment : Form
    {
        private readonly IProfessionalDevelopmentRepository _professionalDevelopmentRepository;

        public FormProfessionalDevelopment(IProfessionalDevelopmentRepository professionalDevelopmentRepository, IDoctorRepository doctorRepository)
        {
            InitializeComponent();
            _professionalDevelopmentRepository = professionalDevelopmentRepository ??
                throw new ArgumentNullException(nameof(professionalDevelopmentRepository));
            comboBoxDoctor.DataSource = doctorRepository.ReadDoctors();
            comboBoxDoctor.DisplayMember = "FullName";
            comboBoxDoctor.ValueMember = "Id";

        }

        private void ButtonSave_Click(object sender, EventArgs e)
        {
            try
            {
                if (comboBoxDoctor.SelectedIndex < 0 )
                {
                    throw new Exception("Имеются незаполненные поля");
                }
                _professionalDevelopmentRepository.CreateProfessionalDevelopment(ProfessionalDevelopment.CreateOperation(
                0,
                (int)comboBoxDoctor.SelectedValue!,
                dateTimePickerProfessionalDevelopmentDate.Value));
                Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при сохранении",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ButtonCancel_Click(object sender, EventArgs e) => Close();

    }
}
