﻿using ProjectPolyclinic.Repositories;
using ProjectPolyclinic.Repositories.Implementations;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Unity;

namespace ProjectPolyclinic.Forms
{
    public partial class FormProfessional_developments : Form
    {
        private readonly IUnityContainer _container;
        private readonly IProfessionalDevelopmentRepository _professionalDevelopmentRepository;
        public FormProfessional_developments(IUnityContainer container, IProfessionalDevelopmentRepository professionalDevelopmentRepository)
        {
            InitializeComponent();
            _container = container ?? throw new ArgumentNullException(nameof(container));
            _professionalDevelopmentRepository = professionalDevelopmentRepository ??
            throw new
            ArgumentNullException(nameof(professionalDevelopmentRepository));
        }

        private void FormProfessionalDevelopments_Load(object sender, EventArgs e)
        {
            try
            {
                LoadList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при загрузке",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void ButtonAdd_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormProfessionalDevelopment>().ShowDialog();
                LoadList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при добавлении",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        private void LoadList()
        {
            dataGridViewData.DataSource = _professionalDevelopmentRepository.ReadProfessionalDevelopment();
            dataGridViewData.Columns["Id"].Visible = false;
            dataGridViewData.Columns["ProfessionalDevelopmentTime"].DefaultCellStyle.Format =
            "dd.MM.yyyy";

        }
    }
}
